This document describes the current stable version of Celery (5.6). For development docs, go here.

# User Guide

Release:

  5.6

Date:

  Feb 10, 2026

- Application
- Tasks
- Calling Tasks
- Canvas: Designing Work-flows
- Workers Guide
- Daemonization
- Periodic Tasks
- Routing Tasks
- Monitoring and Management Guide
- Security
- Optimizing
- Debugging
- Concurrency
- Signals
- Testing with Celery
- Extensions and Bootsteps
- Configuration and defaults
- Documenting Tasks with Sphinx